
apiVersion: monitoring.coreos.com/v1alpha1
kind: AlertmanagerConfig
metadata:
  name: "{{ platform.prefix }}-alertmanager-snow-config"
  labels:
    alertmanagerConfig: "{{ platform.prefix }}-alertmanager"
spec:
  route:
    groupBy: ['job']
    groupWait: 30s
    groupInterval: 5m
    repeatInterval: 1m
    receiver: "{{ config.prometheus.servicenow.name | default('slack') }}"
  receivers: 
  - name: "{{ config.prometheus.servicenow.name }}"
    webhookConfigs:
    - url: "{{ config.prometheus.servicenow.webhookurl | default("")}}"
{% if config.prometheus.alertmanager.proxy_enabled | default(false) %}
      httpConfig:
        proxyURL: "{{ cloudinfra.internet_proxy.HTTPS_PROXY | default("") }}"
{% endif %}
        basicAuth:
          username: 
            key: username
            name: "{{ config.prometheus.servicenow.secretname }}"
          password:
            key: password
            name: "{{ config.prometheus.servicenow.secretname }}"